Beneficiaries
List Beneficiaries
GET
/
v1
/
beneficiaries
List Beneficiaries for the current Business and environment
curl --request GET \
--url https://api.example.com/v1/beneficiaries \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/beneficiaries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/beneficiaries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"beneficiaries": [
{
"id": "<string>",
"beneficiary_type": "person",
"name": "<string>",
"display_name": "<string>",
"email": "<string>",
"compliance_status": "pending",
"identity_complete": true,
"acknowledged_at": {},
"reacknowledgment_required": true,
"collection_status": "not_invited",
"details_submitted_at": {},
"status": "suspended",
"pending_requests": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope": "full_onboarding",
"expires_at": "2023-11-07T05:31:56Z"
}
],
"archived_at": {},
"environment": "sandbox",
"created_at": "2023-11-07T05:31:56Z",
"nickname": {},
"phone": {},
"first_name": {},
"last_name": {},
"country_of_residence": {},
"date_of_birth": {},
"business_name": {},
"country_of_incorporation": {},
"registration_number": {},
"tax_id": {},
"postal_address": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>"
},
"bank_details": {
"account_holder_name": "<string>",
"country": "<string>",
"currency": "<string>",
"account_number": "<string>",
"routing_code": "<string>",
"iban": "<string>",
"swift_bic": "<string>",
"bank_name": "<string>"
},
"enrollment_status": "pending"
}
],
"next_cursor": {}
}⌘I
List Beneficiaries for the current Business and environment
